Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface JoltConnectionRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface JoltConnectionRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring individual WebLogic Jolt connections

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getAddress()` The connection Address.
`int` | `getErrorCount()` The Request Error Count.
`String` | `getLastAccessTime()` The Last Access Date and Time.
`int` | `getPendingRequestCount()` The Pending Request Count.
`int` | `getRequestCount()` The Request Count.
`boolean` | `isAlive()` The Connection Alive indicator.
`boolean` | `isInTransaction()` The Connection in Transaction indicator.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getAddress

    public String getAddress()

  The connection Address.

  Returns:
    The address value

### getErrorCount

    public int getErrorCount()

  The Request Error Count.

  Returns:
    The errorCount value

### getLastAccessTime

    public String getLastAccessTime()

  The Last Access Date and Time.

  Returns:
    The lastAccessTime value

### getPendingRequestCount

    public int getPendingRequestCount()

  The Pending Request Count.

  Returns:
    The pendingRequestCount value

### getRequestCount

    public int getRequestCount()

  The Request Count.

  Returns:
    The requestCount value

### isAlive

    public boolean isAlive()

  The Connection Alive indicator.

  Returns:
    The alive value

### isInTransaction

    public boolean isInTransaction()

  The Connection in Transaction indicator.

  Returns:
    The inTransaction value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD